## pandoc-filter-diagram 0.2.0.ci20240624T131521

=== debian/changelog ===
pandoc-filter-diagram (0.2.0.ci20240624T131521-1) unstable; urgency=medium

  * CI build under Ambient.

 -- Lars Wirzenius <liw@liw.fi>  Mon, 24 Jun 2024 13:15:21 +0000

pandoc-filter-diagram (0.2.0-1) unstable; urgency=medium

  * New release.

 -- Lars Wirzenius <liw@liw.fi>  Tue, 15 Feb 2022 09:17:23 +0200

pandoc-filter-diagram (0.1.0-1) unstable; urgency=low

  * Initial packaging. This is not intended to be uploaded to Debian, so
    no closing of an ITP bug.

 -- Lars Wirzenius <liw@liw.fi>  Tue, 30 Nov 2021 09:34:34 +0200

## pandoc-filter-diagram 1.2.0

=== Makefile ===
FILTER_FILE := $(wildcard *.lua)
PANDOC ?= pandoc
DIFF ?= diff

.PHONY: test
test: test-asymptote test-dot test-mermaid test-plantuml test-tikz \
	test-no-alt-or-caption test-cetz

test-%: test/test-%.yaml test/input-%.md $(FILTER_FILE)
	@$(PANDOC) --defaults test/test-$*.yaml | \
	  $(DIFF) test/expected-$*.html -

sample.html: sample.md diagram.lua
	@$(PANDOC) --self-contained \
	    --lua-filter=diagram.lua \
	    --metadata=pythonPath:"python3" \
	    --metadata=title:"README" \
	    --output=$@ $<

clean:
	@rm -f sample.html
	@rm -rf tmp-latex

## pandoc-filter-diagram 0.2.0.ci20240720T050234

=== debian/changelog ===
pandoc-filter-diagram (0.2.0.ci20240720T050234-1) unstable; urgency=medium

  * CI build under Ambient.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 20 Jul 2024 05:02:35 +0000

=== debian/control ===
Source: pandoc-filter-diagram
Maintainer: Lars Wirzenius <liw@liw.fi>
Section: tex
Priority: optional
Standards-Version: 4.2.0
Build-Depends:
 debhelper (>= 10~)
Homepage: https://gitlab.com/larswirzenius/pandoc-filter-diagram/

Package: pandoc-filter-diagram
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Built-Using: ${cargo:Built-Using}
Description: render diagram markup as SVG for Panco
 This can be used as a Pandoc filter to render as SVG diagrams
 expressed using various markup languages.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	true

override_dh_auto_install:
	cargo install --path=. --root=debian/pandoc-filter-diagram \
	    --target x86_64-unknown-linux-musl --offline --locked
	find debian -name '.crates*' -delete

override_dh_auto_test:
	true

## pandoc-filter-diagram 0.2.0.ci20240831T140556

=== debian/changelog ===
pandoc-filter-diagram (0.2.0.ci20240831T140556-1) unstable; urgency=medium

  * CI build under Ambient.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 31 Aug 2024 14:05:56 +0000

## pandoc-filter-diagram 0.2.0.ci20241228T162324

=== debian/changelog ===
pandoc-filter-diagram (0.2.0.ci20241228T162324-1) unstable; urgency=medium

  * CI build under Ambient.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 28 Dec 2024 16:23:24 +0000

## pandoc-filter-diagram 0.2.1

=== debian/changelog ===
pandoc-filter-diagram (0.2.1-5) unstable; urgency=medium

  * simplify packaging;
    build-depend on dh-sequence-rust
    (not dh-cargo libstring-shellquote-perl)
  * trust upstream optimization level unless explicitly disabled
  * enable hardening and pedantic build options

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 30 Jul 2024 11:27:03 +0200

pandoc-filter-diagram (0.2.1-4) unstable; urgency=medium

  * simplify packaging;
    build-depend on dh-sequence-rust
    (not dh-cargo libstring-shellquote-perl)

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 12 Jul 2024 11:38:50 +0200

pandoc-filter-diagram (0.2.1-3) unstable; urgency=medium

  * re-release targeted unstable

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 17 May 2024 00:13:26 +0200

pandoc-filter-diagram (0.2.1-2) experimental; urgency=medium

  * update dh-cargo fork
  * update copyright info: update coverage
  * declare compliance with Debian Policy 4.7.0

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 16 May 2024 10:39:09 +0200

pandoc-filter-diagram (0.2.1-1) experimental; urgency=low

  * initial Release;
    closes: bug#1059665

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 23 Feb 2024 11:03:58 +0100

=== debian/control ===
Source: pandoc-filter-diagram
Section: net
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-rust,
 graphviz <!nocheck>,
 librust-anyhow-1+default-dev,
 librust-base64-0.21+default-dev,
 librust-pandoc-ast-0.8+default-dev,
 librust-pikchr-0.1+default-dev,
 librust-roadmap-0.6+default-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
 librust-thiserror-1+default-dev,
Standards-Version: 4.7.0
Homepage: https://gitlab.com/larswirzenius/pandoc-filter-diagram/
Vcs-Git: https://salsa.debian.org/debian/pandoc-filter-diagram.git
Vcs-Browser: https://salsa.debian.org/debian/pandoc-filter-diagram
Rules-Requires-Root: no

Package: pandoc-filter-diagram
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Built-Using:
 ${cargo:Built-Using},
Static-Built-Using:
 ${cargo:Static-Built-Using},
Description: Pandoc filter to render diagrams in Markdown code sections as SVG
 pandoc-filter-diagram is a Pandoc filter
 to render as SVG diagrams in various markup languages,
 embedded in Markdown as fenced code blocks
 that are marked with the appropriate class.
 .
 Diagram languages supported:
  * pikchr
  * Graphviz dot
  * PlantUML
  * roadmap
  * raw SVG

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/,\
dversionmangle=auto \
https://gitlab.com/larswirzenius/pandoc-filter-diagram/-/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@

## pandoc-filter-diagram 1.2.0

=== debian/changelog ===
pandoc-filter-diagram (1.2.0-2) unstable; urgency=medium

  * add patch 2001_plantuml
    to avoid testing broken-in-Debian engine plantuml
  * update DEP-3 patch headers
  * stop build-depend on plantuml texlive-pictures

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 02 Feb 2025 13:50:52 +0100

pandoc-filter-diagram (1.2.0-1) unstable; urgency=medium

  * replace dead upstream project with alternative Lua-based one;
    closes: bug#1084520, #1086450

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 16 Jan 2025 16:07:42 +0100

=== debian/control ===
Source: pandoc-filter-diagram
Section: net
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 asymptote <!nocheck>,
 debhelper-compat (= 13),
 graphviz <!nocheck>,
 inkscape <!nocheck>,
 pandoc <!nocheck>,
 pikchr-cli <!nocheck>,
# plantuml <!nocheck>,
# texlive-pictures <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://github.com/pandoc-ext/diagram
Vcs-Git: https://salsa.debian.org/debian/pandoc-filter-diagram.git
Vcs-Browser: https://salsa.debian.org/debian/pandoc-filter-diagram
Rules-Requires-Root: no

Package: pandoc-filter-diagram
Architecture: all
Depends:
 pandoc,
 ${misc:Depends},
Suggests:
 asymptote,
 graphviz,
 inkscape,
 pikchr-cli,
 plantuml,
 texlive-pictures,
Description: Pandoc filter to render diagrams in Markdown code sections
 This Lua filter is used to create figures from code blocks:
 images are generated from the code
 with the help of external programs.
 The filter processes diagram code
 for Asymptote, Cetz, Graphviz, Mermaid, Pikchr, PlantUML, and TikZ.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:

# TODO: establish environment acceptable for TikZ
override_dh_auto_test:
	mkdir --parents debian/build/cache
	XDG_CACHE_HOME=$(CURDIR)/debian/build/cache dh_auto_test

override_dh_auto_install:

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
filenamemangle=s/.*?@ANY_VERSION@(@ARCHIVE_EXT@)/@PACKAGE@_$1.orig$2/,\
dversionmangle=auto \
https://github.com/pandoc-ext/diagram/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@
